#!/bin/sh

if ! type efibootmgr > /dev/null; then
    logger -t ubiquity "no efibootmgr or not efi system, do nothing"
    exit 0
fi

bootdev=$1
logger -t ubiquity "##bootdev:${bootdev}"
[ -z "$bootdev" ] && (logger -t ubiquity "Bootdev not found!" && exit 1)
efibootmgr -c -w -L "NFS" -d $bootdev -p 1 \\EFI\\nfs\\shimaa64.efi

mybootId=$(efibootmgr | grep -E "^Boot[0-9a-fA-F]+.*NFS.*" | sed -e "s/Boot\([0-9a-fA-F]\+\).*/\1/g")
bootnumList=$(efibootmgr | grep -E "^Boot[0-9]+" | sed -e "s/Boot\([0-9a-fA-F]\+\).*/\1/g")

[ -z "$mybootId" ] && exit 0

reOrderBootSeq="$mybootId"
for item in $bootnumList; do
    if [ "$item" = "$mybootId" ]; then
	    continue
    fi
    reOrderBootSeq="$reOrderBootSeq,$item"
done
efibootmgr -o $reOrderBootSeq
